Get one webhook by its event id
curl --request GET \
--url https://partners-api.sandbox.securitize.io/v1/webhook-events/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/v1/webhook-events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/v1/webhook-events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "msg_2ZxKa1bQ7mN3pR5tV7xZ9bD1fH",
"eventType": "investor.transaction.processed",
"eventId": "investor.transaction.processed-90001",
"timestamp": "2026-05-07T16:24:29.004Z",
"payload": {
"eventType": "investor.transaction.processed",
"eventId": "investor.transaction.processed-90001",
"timestamp": "2026-05-07T16:24:29.004Z",
"data": {
"id": "90001",
"tokenId": "d1dbb6b6-3bda-48f2-b86e-c87610db1ae1",
"amount": "5000000000000",
"decimals": 6,
"txHash": "0x9f2c4e1b7a3d5c6e8f0a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6a",
"type": "issuance",
"processType": "subscription",
"tokenIssuanceId": "3697998"
}
}
}{
"error": "Bad Request",
"message": [
"tokenId should not be empty"
],
"statusCode": 400
}{
"error_description": "The access token is invalid or has expired",
"error": "invalid_token"
}{
"error": "WEBHOOK_EVENT_NOT_FOUND",
"message": "Webhook event 'investor.transaction.processed-90001' not found",
"statusCode": 404
}{
"error": "CLIENT_ERROR",
"message": "Client Error",
"statusCode": 502
}Webhook events
Get one webhook by its event id
One webhook sent to you, by the eventId in its body or by the svix-id header of its delivery (msg_…). Use it to check whether a webhook you expect was sent, and what it carried.
GET
/
webhook-events
/
{eventId}
Get one webhook by its event id
curl --request GET \
--url https://partners-api.sandbox.securitize.io/v1/webhook-events/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/v1/webhook-events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/v1/webhook-events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "msg_2ZxKa1bQ7mN3pR5tV7xZ9bD1fH",
"eventType": "investor.transaction.processed",
"eventId": "investor.transaction.processed-90001",
"timestamp": "2026-05-07T16:24:29.004Z",
"payload": {
"eventType": "investor.transaction.processed",
"eventId": "investor.transaction.processed-90001",
"timestamp": "2026-05-07T16:24:29.004Z",
"data": {
"id": "90001",
"tokenId": "d1dbb6b6-3bda-48f2-b86e-c87610db1ae1",
"amount": "5000000000000",
"decimals": 6,
"txHash": "0x9f2c4e1b7a3d5c6e8f0a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6a",
"type": "issuance",
"processType": "subscription",
"tokenIssuanceId": "3697998"
}
}
}{
"error": "Bad Request",
"message": [
"tokenId should not be empty"
],
"statusCode": 400
}{
"error_description": "The access token is invalid or has expired",
"error": "invalid_token"
}{
"error": "WEBHOOK_EVENT_NOT_FOUND",
"message": "Webhook event 'investor.transaction.processed-90001' not found",
"statusCode": 404
}{
"error": "CLIENT_ERROR",
"message": "Client Error",
"statusCode": 502
}Authorizations
Path Parameters
Response
The webhook, with its body as delivered.